Package org.eclipse.birt.report.model.api.util

# Class StyleUtil

java.lang.Object
org.eclipse.birt.report.model.api.util.StyleUtil

public class StyleUtil extends Object
Utility class to provide some methods about the style element, styled element and style properties.

## Constructor Summary

Constructors
Constructor
Description
`StyleUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addExtensionSelectors(ReportDesignHandle designHandle)`
Adds selectors for extended elements to the report design.
`static DesignElementHandle`
`copyLocalStyles(DesignElementHandle source, DesignElementHandle target)`
Gets the design element handle with all the style properties are copied to the returned value.
`static DesignElementHandle`
`copyStyles(DesignElementHandle source, DesignElementHandle target)`
Gets the design element handle with all the style properties are copied to the returned value.
`static DesignElementHandle`
`copyStyles(DesignElementHandle source, DesignElementHandle target, boolean isCascaded)`
Gets the design element handle with all the style properties are copied to the returned value.
`static boolean`
`hasExternalCSSURI(org.eclipse.birt.report.model.core.Module module)`
Check if external CSS URI is used

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyleUtil

public StyleUtil()

## Method Details

### copyStyles

public static DesignElementHandle copyStyles(DesignElementHandle source, DesignElementHandle target, boolean isCascaded)
Gets the design element handle with all the style properties are copied to the returned value. If `isCascaded` is set to TRUE, the copied style property value will be the cascaded value, otherwise will be the factory value.

Parameters:
  `source` - design element handle
  `target` - design element handle
  `isCascaded` - flag if the element is cascaded
Returns:
  Return a copy of style properties

### copyStyles

public static DesignElementHandle copyStyles(DesignElementHandle source, DesignElementHandle target)
Gets the design element handle with all the style properties are copied to the returned value. The copied style property value will be the factory value and not cascaded.

Parameters:
  `source` - design element handle
  `target` -
Returns:
  Return a copy of style properties

### copyLocalStyles

public static DesignElementHandle copyLocalStyles(DesignElementHandle source, DesignElementHandle target)
Gets the design element handle with all the style properties are copied to the returned value. If `isCascaded` is set to TRUE, the copied style property value will be the cascaded value, otherwise will be the factory value.

Parameters:
  `source` - design element handle
  `target` -
Returns:
  Return a copy of style properties

### addExtensionSelectors

public static void addExtensionSelectors(ReportDesignHandle designHandle)
Adds selectors for extended elements to the report design. This action will be non-undoable, that is, once the selectors are inserted to the design handle, it will not be removed by undo action.

Parameters:
  `designHandle` -

### hasExternalCSSURI

public static boolean hasExternalCSSURI(org.eclipse.birt.report.model.core.Module module)
Check if external CSS URI is used

Parameters:
  `module` -
Returns:
  Return the check result whether CSS URI si used